### Struct

# Ggit IndexEntries

#### Description [src]

    struct GgitIndexEntries {
      /* No available fields */
    }

Represents the entries in an index object.

#### Instance methods

###### ggit_index_entries_get_by_index

Get a `GgitIndexEntry` by index. Note that the returned `GgitIndexEntry` is only valid as long as:.

###### ggit_index_entries_get_by_path

Get a `GgitIndexEntry` by index. Note that the returned `GgitIndexEntry` is only valid as long as:.

###### ggit_index_entries_ref

Atomically increments the reference count of `entries` by one. This function is MT-safe and may be called from any thread.

###### ggit_index_entries_size

Get the number of `GgitIndexEntry` entries.

###### ggit_index_entries_unref

Atomically decrements the reference count of `entries` by one. If the reference count drops to 0, `entries` is freed.